SDGParserInternal::Image Class Reference

Internal: small class use to store an image content in a SDGParser. More...

## Public Member Functions

| Image ()
| constructor

## Public Attributes

STOFFEmbeddedObject | m_object
| the object
STOFFVec2i | m_size
| the bitmap size
librevenge::RVNGString | m_link
| the link name

## Detailed Description

Internal: small class use to store an image content in a SDGParser.

## Constructor & Destructor Documentation

## Image()

SDGParserInternal::Image::Image | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_link

librevenge::RVNGString SDGParserInternal::Image::m_link

the link name

Referenced by Image(), and SDGParser::readBitmap().

## m_object

STOFFEmbeddedObject SDGParserInternal::Image::m_object

the object

Referenced by Image(), and SDGParser::readBitmap().

## m_size

STOFFVec2i SDGParserInternal::Image::m_size

the bitmap size

Referenced by Image(), and SDGParser::readBitmap().

The documentation for this class was generated from the following file:

- SDGParser.cxx